For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • API Pricing
    • API Status
  • Tutorials
    • Custom Model Training
  • API Reference
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
API Reference

Generate with Ideogram 3.0 (Transparent Background)

POST
https://api.ideogram.ai/v1/ideogram-v3/generate-transparent
POST
/v1/ideogram-v3/generate-transparent
$curl -X POST https://api.ideogram.ai/v1/ideogram-v3/generate-transparent \
> -H "Api-Key: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F prompt="A logo for Ideogram Coffee." \
> -F rendering_speed="TURBO"
1{
2 "created": "2000-01-23 04:56:07+00:00",
3 "data": [
4 {
5 "prompt": "A logo for Ideogram Coffee.",
6 "resolution": "1024x1024",
7 "is_image_safe": true,
8 "seed": 12345,
9 "url": "https://ideogram.ai/api/images/ephemeral/xtdZiqPwRxqY1Y7NExFmzB.png?exp=1743867804&sig=e13e12677633f646d8531a153d20e2d3698dca9ee7661ee5ba4f3b64e7ec3f89",
10 "upscaled_resolution": "2048x2028"
11 }
12 ]
13}
Generates images with transparent background synchronously based on a given prompt and optional parameters using the Ideogram 3.0 model. Images will be generated using maximum supported resolution at the specified aspect ratio to allow best results with upscaler. The selected resolution is written to the response, not the upscaled final resolution. `rendering_speed=FLASH` is not supported for transparent-background generation; the request will return a 400. Use `TURBO`, `DEFAULT`, or `QUALITY` instead. Images links are available for a limited period of time; if you would like to keep the image, you must download it.
Was this page helpful?
Previous

Inpaint with Ideogram 3.0

Next
Built with

Generates images with transparent background synchronously based on a given prompt and optional parameters using the Ideogram 3.0 model. Images will be generated using maximum supported resolution at the specified aspect ratio to allow best results with upscaler. The selected resolution is written to the response, not the upscaled final resolution.

rendering_speed=FLASH is not supported for transparent-background generation; the request will return a 400. Use TURBO, DEFAULT, or QUALITY instead.

Images links are available for a limited period of time; if you would like to keep the image, you must download it.

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Request

A request to generate an image with transparent background using Ideogram 3.0, with optional upscaling.
promptstringRequired
The prompt to use to generate the image.
seedintegerOptional0-2147483647
Random seed. Set for reproducible generation.
upscale_factorenumOptionalDefaults to X1
Upscale the initially generated image by the given factor. Upscale factors other than X1 will incur additional cost.
Allowed values:
aspect_ratioenumOptional
The aspect ratio to use for image generation, which determines the image's resolution. Cannot be used in conjunction with resolution. Defaults to 1x1.
rendering_speedenumOptionalDefaults to DEFAULT

The rendering speed to use. FLASH is not supported for transparent-background generation; requests with rendering_speed=FLASH will return a 400.

Allowed values:
magic_promptenumOptional
Determine if MagicPrompt should be used in generating the request or not.
Allowed values:
negative_promptstringOptional
Description of what to exclude from an image. Descriptions in the prompt take precedence to descriptions in the negative prompt.
num_imagesintegerOptional1-8Defaults to 1
Number of images to generate.

Response

Image(s) generated successfully.

createddatetime
The time the request was created.
datalist of objects

A list of ImageObjects that contain the generated image(s).

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
429
Too Many Requests Error